Bug 108080 - Failed to find mpm_common.h while compiling mod_fastcgi for httpd-2.0.47-8
Failed to find mpm_common.h while compiling mod_fastcgi for httpd-2.0.47-8
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-27 09:44 EST by Shekhar
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 2.0.48-1.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-19 06:23:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shekhar 2003-10-27 09:44:54 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
As a result of following lines in httpd.spec mod_fastcgi fails to find
mpm_common.h while compiling for httpd-2.0.47-8 .
--
# Remove headers which needn't be public
rm -f RPM_BUILD_ROOT%{_includedir}/httpd/{mpm*.h,ssl_expr_parse.h,ssl_util_table.h}
--

Version-Release number of selected component (if applicable):
httpd-2.0.47-8

How reproducible:
Always

Steps to Reproduce:
1. wget http://www.FastCGI.com/dist/mod_fastcgi-2.4.0.tar.gz
2. tar -zxvf mod_fastcgi-2.4.0.tar.gz
3. /usr/sbin/apxs -D SUEXEC_BIN="/usr/sbin/suexec" -c mod_fastcgi.c f*.c
    

Actual Results:  :
:
/bin/sh /usr/lib/apr/build/libtool --silent --mode=compile gcc -prefer-pic -O2
-g -pipe -march=i386 -mcpu=i686 -I/usr/kerberos/include
-DAP_HAVE_DESIGNATED_INITIALIZER -DLINUX=2 -D_REENTRANT -D_XOPEN_SOURCE=500
-D_BSD_SOURCE -D_SVID_SOURCE -D_GNU_SOURCE -pthread -I/usr/include/apr-0
-I/usr/include/httpd -DSUEXEC_BIN="\"/usr/sbin/suexec\""  -c -o fcgi_config.lo
fcgi_config.c && touch fcgi_config.slo
fcgi_config.c:11:59: mpm_common.h: No such file or directory
apxs:Error: Command failed with rc=65536
:
:

Expected Results:  Should compile.

Additional info:
Comment 1 Joe Orton 2003-11-11 08:47:15 EST
Thanks for the report.  mpm_common.h has been reinstated in the 2.0.48
packages currently in testing; if you want to try the packages please
see bug 108608.
Comment 2 Joe Orton 2004-01-08 11:14:07 EST
The 2.0.48 update has now been issued including this fix.

Note You need to log in before you can comment on or make changes to this bug.